REM    Written and Copyrighted(C)2001 by Daniel B. Sedory.
@echo off
cls
echo.
ECHO       _MyMBR.BAT_ is Copyright(C)2001 by The Starman.
echo.
ECHO       This Batch file attempts to display and/or save
ECHO     to a file the _MBR_ (Master Boot Record) of your
ECHO     computer's first Hard Drive. You'll have a choice
ECHO     of different options from the Menu display on the
ECHO     next screen; including 'X' to EXIT and do nothing.
ECHO       (NOTE: Both DEBUG.exe and CHOICE.com must exist
ECHO        in the computer's Path.)
echo.
ECHO       For more information, such as creating/editing a
ECHO     .PIF file to automatically close this program when
ECHO     it's run in a DOS-Window, see the file, README.1ST,
ECHO     in the ZIP distribution.
echo.
pause
if exist CHOICE.COM goto MENU
if not exist %winbootdir%\COMMAND\CHOICE.COM goto NOCHO
if "%path%"=="" set path=%winbootdir%\COMMAND
:MENU
cls
echo.
ECHO  MyMBR.BAT is Copyright(C)2001 by The Starman. For use with the
ECHO  Microsoft(R)-DOS 6.2+ or Windows 95/98/SE/ME Operating Systems.
echo.
echo.
ECHO       Press a KEY (either C, D, S, V,  X  or  E) to:
echo.
ECHO          (c,C) CREATE a Binary copy of your MBR as MYMBR.BIN
echo.
ECHO          (d,D) Just DISPLAY the MBR on Screen.
echo.
ECHO          (s,S) SAVE Screen-dump to the file MYMBR.TXT
ECHO          (v,V) VIEW saved file MYMBR.TXT
echo.
ECHO          (x,X) EXIT (Quit) this batch program...
echo.
ECHO          (e,E) _ERASE_ MYMBR.BIN and/or MYMBR.TXT !!
echo.
choice /c:cdsvxe /n _     What is your choice? 
if errorlevel 6 goto RUBOUT
if errorlevel 5 goto END
if errorlevel 4 goto VIEW
if errorlevel 3 goto DUMP
if errorlevel 2 goto SHOW
if errorlevel 1 goto BINA
goto END
:RUBOUT
del /P MYMBR.TXT
del /P MYMBR.BIN
goto MENU
:BINA
if exist MYMBR.BIN goto OVRBIN
debug < SAVE.dsf >nul
goto MENU
:SHOW
debug < READ.dsf |MORE
pause
goto MENU
:DUMP
if exist MYMBR.TXT goto OVRTXT
debug < READ.dsf > mymbr.txt
goto MENU
:VIEW
if exist mymbr.txt goto FOUND
:NOFILE
CLS
ECHO.
ECHO.
ECHO.
ECHO.
ECHO       Couldn't find the file MYMBR.TXT, you must
ECHO       first run the _SAVE_ command from the Menu.
ECHO.
ECHO.
PAUSE
goto MENU
:OVRBIN
CLS
ECHO.
ECHO.
ECHO.
ECHO         The file, MYMBR.BIN , already exists!
echo.
ECHO       MyMBR.bat will _not_ overwrite this file
ECHO       as a safety precaution...  Please rename
ECHO       or ERASE  the old file before using this
ECHO       command again.
ECHO.
ECHO.
PAUSE
goto MENU
:OVRTXT
CLS
ECHO.
ECHO.
ECHO.
ECHO         The file, MYMBR.TXT , already exists!
echo.
ECHO       MyMBR.bat will _not_ overwrite this file
ECHO       as a safety precaution...  Please rename
ECHO       or ERASE  the old file before using this
ECHO       command again.
ECHO.
ECHO.
PAUSE
goto MENU
:FOUND
if exist %winbootdir%\NOTEPAD.EXE goto NPAD
:ISDOS
EDIT MYMBR.TXT
goto MENU
:NPAD
start %winbootdir%\NOTEPAD.EXE mymbr.txt
goto MENU
:NOCHO
cls
echo.
echo.
ECHO         CHOICE.COM  is required for MyMBR's MENU to
ECHO       function, but I couldn't find it here or in
ECHO       your WinBootDirectory\COMMAND folder where it
ECHO       should be. If the file exists somewhere else,
ECHO       please place a copy of it here instead.
echo.
echo.
pause
:END
exit
